# runs as the tutorial armorstand
# runs once per second if there are players present in the tutorial area, aka @a[x=-134,y=19,z=97,dx=40,dy=20,dz=57]

# a-f are used as room timers and status in one. 0 means room is idle awaiting, >0 means it's waiting to be reset

# count down door timers
scoreboard players remove @s[scores={a=1..}] a 1
scoreboard players remove @s[scores={b=1..}] b 1
scoreboard players remove @s[scores={c=1..}] c 1
scoreboard players remove @s[scores={d=1..}] d 1
scoreboard players remove @s[scores={e=1..}] e 1
scoreboard players remove @s[scores={f=1..}] f 1
scoreboard players remove @s[scores={i=1..}] i 1
scoreboard players remove @s[scores={j=1..}] j 1

# close reset rooms if timers reach 0
execute @s[scores={a=1}] ~ ~ ~ function tutorial/trash/reset
execute @s[scores={b=1}] ~ ~ ~ function tutorial/crate/reset
execute @s[scores={c=1}] ~ ~ ~ function tutorial/mower/reset
execute @s[scores={d=1}] ~ ~ ~ function tutorial/cannon/reset
execute @s[scores={e=1}] ~ ~ ~ function tutorial/sprinkler/reset
execute @s[scores={f=1}] ~ ~ ~ function tutorial/bbq/reset
execute @s[scores={i=1}] ~ ~ ~ function tutorial/loot_basic/reset
execute @s[scores={j=1}] ~ ~ ~ function tutorial/loot_special/reset

execute @a[x=-93,y=28,z=131,dx=10,dy=5,dz=11,tag=!tutorialtext] ~ ~ ~ function tutorial/platform/tellraw
# check for players in a room if the room as been reset
execute @s[scores={a=0}] ~ ~ ~ execute @a[x=-108,y=28,z=128,dx=6,dy=5,dz=6,tag=!tutorialtext] ~ ~ ~ function tutorial/trash/tellraw
execute @s[scores={b=0}] ~ ~ ~ execute @a[x=-106,y=28,z=142,dx=11,dy=5,dz=11,tag=!tutorialtext] ~ ~ ~ function tutorial/crate/tellraw
execute @s[scores={c=0}] ~ ~ ~ execute @a[x=-118,y=28,z=141,dx=10,dy=5,dz=11,tag=!tutorialtext] ~ ~ ~ function tutorial/mower/tellraw
execute @s[scores={d=0}] ~ ~ ~ execute @a[x=-130,y=28,z=142,dx=10,dy=5,dz=11,tag=!tutorialtext] ~ ~ ~ function tutorial/cannon/tellraw
execute @s[scores={e=0}] ~ ~ ~ execute @a[x=-130,y=28,z=130,dx=11,dy=5,dz=10,tag=!tutorialtext] ~ ~ ~ function tutorial/sprinkler/tellraw
execute @s[scores={f=0}] ~ ~ ~ execute @a[x=-131,y=21,z=115,dx=12,dy=10,dz=13,tag=!tutorialtext] ~ ~ ~ function tutorial/bbq/tellraw
execute @s[scores={i=0}] ~ ~ ~ execute @a[x=-100,y=28,z=120,dx=6,dy=5,dz=10,tag=!tutorialtext] ~ ~ ~ function tutorial/loot_basic/tellraw
execute @s[scores={j=0}] ~ ~ ~ execute @a[x=-108,y=28,z=116,dx=6,dy=5,dz=10,tag=!tutorialtext] ~ ~ ~ function tutorial/loot_special/tellraw

# check if the room is done
execute @s[scores={a=0}] ~ ~ ~ execute @a[x=-108,y=28,z=128,dx=6,dy=5,dz=6,tag=tutorialtext,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/trash/check_reset
execute @s[scores={b=0}] ~ ~ ~ execute @a[x=-106,y=28,z=142,dx=11,dy=5,dz=11,tag=tutorialtext,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/crate/check_reset
execute @s[scores={c=0}] ~ ~ ~ execute @a[x=-118,y=28,z=141,dx=10,dy=5,dz=11,tag=tutorialtext,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/mower/check_reset
execute @s[scores={d=0}] ~ ~ ~ execute @a[x=-130,y=28,z=142,dx=10,dy=5,dz=11,tag=tutorialtext,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/cannon/check_reset
execute @s[scores={e=0}] ~ ~ ~ execute @a[x=-130,y=28,z=130,dx=11,dy=5,dz=10,tag=tutorialtext,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/sprinkler/check_reset
execute @s[scores={f=0}] ~ ~ ~ execute @a[x=-131,y=21,z=115,dx=12,dy=10,dz=13,tag=tutorialtext,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/bbq/check_reset
execute @s[scores={i=0}] ~ ~ ~ execute @a[x=-100,y=28,z=120,dx=6,dy=5,dz=10,tag=tutorialtext,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/loot_basic/check_reset
execute @s[scores={j=0}] ~ ~ ~ execute @a[x=-108,y=28,z=116,dx=6,dy=5,dz=10,tag=tutorialtext,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/loot_special/check_reset

# projectiles room
execute @a[x=-131,y=21,z=101,dx=11,dy=5,dz=11,tag=!tutorialtext] ~ ~ ~ function tutorial/projectiles/tellraw
execute @a[x=-131,y=21,z=101,dx=11,dy=5,dz=11,c=1] ~ ~ ~ execute @e[tag=tutorial] ~ ~ ~ function tutorial/projectiles/loop

# last room
execute @a[x=-116,y=21,z=89,dx=10,dy=5,dz=11,tag=!tutorialtext] ~ ~ ~ function tutorial/last_room

kill @e[x=-140,y=21,z=101,dx=36,dy=5,dz=12,type=item]

# titles for starterkits
particle spark.zombies:starterkit.athlete.east -116 24 97
particle spark.zombies:starterkit.handyman.east -116 24 93
particle spark.zombies:starterkit.camper.west -106 24 97
particle spark.zombies:starterkit.scientist.west -106 24 93

# welcome graphics
particle spark.zombies:settings.south -87.0 29.5 132.05
particle spark.zombies:welcome.south -90.0 29.5 132.05  

# misc
tag @a[x=-134,y=19,z=85,dx=50,dy=20,dz=70,tag=!in_tutorial] add in_tutorial

effect @a[tag=in_tutorial,tag=!in_bbq_room] saturation 1 0 true
effect @a[tag=in_tutorial,tag=!in_bbq_room] instant_health 1 2 true